import { Column, Formatter } from './../models/index';
import { decimalFormatted } from './../services/utilities';

export const decimalFormatter: Formatter = (row: number, cell: number, value: any, columnDef: Column, dataContext: any) => {
  const params = columnDef.params || {};
  const minDecimalPlaces = (params.minDecimal !== null && params.minDecimal) || (params.minDecimalPlaces !== null && params.minDecimalPlaces) || (params.decimalPlaces !== null && params.decimalPlaces) || 2;
  const maxDecimalPlaces = (params.maxDecimal !== null && params.maxDecimal) || (params.maxDecimalPlaces !== null && params.maxDecimalPlaces) || 2;
  const isNumber = (value === null || value === undefined || value === '') ? false : !isNaN(+value);

  return !isNumber ? value : `${decimalFormatted(value, minDecimalPlaces, maxDecimalPlaces)}`;
};

